=== debian/changelog ===
libdbusmenu-qt (0.3.2-0ubuntu1) lucid; urgency=low

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 08 Apr 2010 14:23:59 +0100

libdbusmenu-qt (0.3.0-0ubuntu1) lucid; urgency=low

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 10 Mar 2010 12:41:06 +0000

libdbusmenu-qt (0.2.2-0ubuntu2) lucid; urgency=low

  * Add build dep on qjson and pkg-config

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 17 Feb 2010 17:02:07 +0000

libdbusmenu-qt (0.2.2-0ubuntu1) lucid; urgency=low

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 17 Feb 2010 15:13:29 +0000

libdbusmenu-qt (0.2.1-0ubuntu2) lucid; urgency=low

  * libdbusmenu-qt-dev depends on libdbusmenu-qt1 not 0

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 04 Feb 2010 20:21:41 +0000

libdbusmenu-qt (0.2.1-0ubuntu1) lucid; urgency=low

  * New upstream release
  * Switch to source format 3.0
  * New SO version, switch package name to libdbusmenu-qt1
  * Add kubuntu_01_no_test.diff, tests don't work without X

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 04 Feb 2010 18:13:44 +0000

libdbusmenu-qt (0.1.0-0ubuntu1) lucid; urgency=low

  * Initial Release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Sun, 03 Jan 2010 23:21:24 +0100
