=== debian/control ===
Source: libdbusmenu-qt
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Jonathan Riddell <jriddell@ubuntu.com>
Build-Depends: debhelper (>= 7.3), cmake, libqt4-dev, quilt, libqjson-dev, pkg-config
Standards-Version: 3.8.4
Section: libs
Homepage: http://people.canonical.com/~agateau/dbusmenu/index.html
Vcs-Bzr: ~kubuntu-members/libdbusmenu-qt/ubuntu/
Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-members/libdbusmenu-qt/ubuntu/

Package: libdbusmenu-qt-dev
Section: libdevel
Architecture: any
Depends: libdbusmenu-qt2 (= ${binary:Version}), ${misc:Depends}
Description: development files for libdbusmenu-qt
 This library provides a Qt implementation of the DBusMenu spec.
 .
 This package contains the development header files. 

Package: libdbusmenu-qt2
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: a Qt library that implements the DBusMenu spec
 This library provides a Qt implementation of the DBusMenu spec.
