## libdbusmenu-qt 0.5.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -2,7 +2,10 @@
 cmake_minimum_required(VERSION 2.6.0)
 set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} "${CMAKE_SOURCE_DIR}/cmake/modules")
 
-set(dbusmenu_qt_VERSION 0.3.2)
+set(dbusmenu_qt_VERSION_MAJOR 0)
+set(dbusmenu_qt_VERSION_MINOR 5)
+set(dbusmenu_qt_VERSION_PATCH 1)
+set(dbusmenu_qt_VERSION ${dbusmenu_qt_VERSION_MAJOR}.${dbusmenu_qt_VERSION_MINOR}.${dbusmenu_qt_VERSION_PATCH})
 
 set(ARCHIVE_NAME libdbusmenu-qt-${dbusmenu_qt_VERSION})
 add_custom_target(dist
@@ -28,13 +31,13 @@
 set(dbusmenu_qt_lib_SOVERSION 2)
 
 # Bump this one when the API is extended in a binary-compatible way
-set(dbusmenu_qt_lib_API_VERSION 0)
+set(dbusmenu_qt_lib_API_VERSION 2)
 
 # Bump this one when changes do not extend the API
-set(dbusmenu_qt_lib_PATCH_VERSION 2)
+set(dbusmenu_qt_lib_PATCH_VERSION 1)
 set(dbusmenu_qt_lib_VERSION ${dbusmenu_qt_lib_SOVERSION}.${dbusmenu_qt_lib_API_VERSION}.${dbusmenu_qt_lib_PATCH_VERSION})
 
-find_package(Qt4 REQUIRED)
+find_package(Qt4 4.6.0 REQUIRED)
 
 include_directories(
     ${QT_INCLUDE_DIR}
@@ -50,6 +53,10 @@
     DESTINATION lib${LIB_SUFFIX}/pkgconfig
     )
 
+option(BUILD_TESTS "Build tests" ON)
+
 add_subdirectory(src)
-add_subdirectory(tests)
+if (BUILD_TESTS)
+    add_subdirectory(tests)
+endif (BUILD_TESTS)
 add_subdirectory(tools)
