=== src/CMakeLists.txt ===
--- 
+++ 
@@ -1,4 +1,7 @@
+include(CheckCXXSourceCompiles)
 include (CheckCXXCompilerFlag)
+
+# Check some compiler flags
 check_cxx_compiler_flag(-fvisibility=hidden __DBUSMENU_HAVE_GCC_VISIBILITY)
 if (__DBUSMENU_HAVE_GCC_VISIBILITY AND NOT WIN32)
     set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -fvisibility=hidden")
@@ -14,12 +17,35 @@
     set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wall")
 endif (__DBUSMENU_HAVE_W_ALL)
 
+if (MSVC)
+	add_definitions(-D__PRETTY_FUNCTION__=__FUNCTION__)
+endif (MSVC)
+
+# Check whether QIcon::name() exists. It was added in late Qt 4.7 cycle, and is
+# not present in betas.
+set(CMAKE_REQUIRED_INCLUDES "${QT_INCLUDE_DIR}")
+set(CMAKE_REQUIRED_LIBRARIES "${QT_QTGUI_LIBRARIES}")
+check_cxx_source_compiles("
+#include <QtGui/QIcon>
+int main() {
+    QIcon icon;
+    icon.name();
+    return 0;
+}
+" HAVE_QICON_NAME)
+if (NOT HAVE_QICON_NAME)
+    message(STATUS "QIcon::name() does not exist, DBusMenuExporter will not export icon names by itself")
+endif()
+configure_file(dbusmenu_config.h.in ${CMAKE_CURRENT_BINARY_DIR}/dbusmenu_config.h @ONLY)
+
+
 set(dbusmenu_qt_SRCS
     dbusmenu_p.cpp
     dbusmenuexporter.cpp
     dbusmenuexporterdbus_p.cpp
     dbusmenuimporter.cpp
     dbusmenuitem_p.cpp
+    dbusmenushortcut_p.cpp
     utils.cpp
     )
 
@@ -33,6 +59,10 @@
 qt4_add_dbus_adaptor(dbusmenu_qt_SRCS
     ${CMAKE_CURRENT_SOURCE_DIR}/org.ayatana.dbusmenu.xml
     ${CMAKE_CURRENT_SOURCE_DIR}/dbusmenuexporterdbus_p.h DBusMenuExporterDBus
+    )
+
+configure_file(dbusmenu_version.h.in
+    ${CMAKE_CURRENT_BINARY_DIR}/dbusmenu_version.h
     )
 
 add_library(dbusmenu-qt SHARED ${dbusmenu_qt_SRCS})
@@ -49,10 +79,17 @@
     )
 
 install(TARGETS dbusmenu-qt
-    LIBRARY DESTINATION lib${LIB_SUFFIX})
+    LIBRARY DESTINATION lib${LIB_SUFFIX}
+    ARCHIVE DESTINATION lib
+    RUNTIME DESTINATION bin
+)
 
 install(DIRECTORY .
     DESTINATION include/dbusmenu-qt
     FILES_MATCHING PATTERN "*.h"
     PATTERN "*_p.h" EXCLUDE
     )
+
+install(FILES ${CMAKE_CURRENT_BINARY_DIR}/dbusmenu_version.h
+    DESTINATION include/dbusmenu-qt/
+    )
