=== debian/changelog ===
libdbusmenu-qt (0.5.1-1) unstable; urgency=low

  * New upstream release. (Closes: #587546)
  * debian/watch: changed release url to new location.
  * debian/copyright: made it machine readable.
  * debian/copyright: changed debian packaging to LGPL-2+ in sync with
    upstream license (Thanks to Sune Vuorela)
  * debian/control: updated policy to 3.9.0
  * debian/libdbusmenu-qt2.symbols: new symbols added.
  * debian/control: dev & lib package clarification added to descriptions.

 -- Praveen Arimbrathodiyil <pravi.a@gmail.com>  Fri, 02 Jul 2010 01:30:47 +0530

libdbusmenu-qt (0.3.3-1) unstable; urgency=low

  * New upstream release.
  * added libdbusmenu-qt2.symbols file.

 -- Praveen Arimbrathodiyil <pravi.a@gmail.com>  Fri, 11 Jun 2010 17:13:07 +0530

libdbusmenu-qt (0.3.2-1) unstable; urgency=low

  * Initial release. (Closes: #579677)

 -- Praveen Arimbrathodiyil <pravi.a@gmail.com>  Tue, 04 May 2010 13:31:09 +0530
