=== debian/control ===
Source: libdbusmenu-qt
Section: libs
Priority: optional
Build-Depends: debhelper (>= 7.4.12), 
	       cmake,
	       libqt4-dev
Maintainer: Debian Krap Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Praveen Arimbrathodiyil <pravi.a@gmail.com>
Standards-Version: 3.9.0
Homepage: http://people.canonical.com/~agateau/dbusmenu/
Vcs-Svn: svn://svn.debian.org/pkg-kde/krap/libdbusmenu-qt
Vcs-Browser: http://svn.debian.org/wsvn/pkg-kde/krap/libdbusmenu-qt/#_krap_libdbusmenu-qt_

Package: libdbusmenu-qt2
Architecture: any
Depends: ${misc:Depends},
	 ${shlibs:Depends}
Description: Qt implementation of DBusMenu protocol
 This library provides a Qt implementation of the DBusMenu protocol
 .
 The DBusMenu protocol makes it possible for applications to export 
 and import their menus over DBus.
 .
 This package provides shared libraries.

Package: libdbusmenu-qt-dev
Section: libdevel
Architecture: any
Depends: libdbusmenu-qt2 (= ${binary:Version}),
	 libqt4-dev,
	 ${misc:Depends}
Description: Qt implementation of DBusMenu protocol (development)
 This library provides a Qt implementation of the DBusMenu protocol
 .
 The DBusMenu protocol makes it possible for applications to export 
 and import their menus over DBus.
 .
 This package provides header files for development.
