## libdbusmenu-qt 0.6.4

=== CMakeLists.txt ===
--- 
+++ 
@@ -3,14 +3,13 @@
 set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} "${CMAKE_SOURCE_DIR}/cmake/modules")
 
 set(dbusmenu_qt_VERSION_MAJOR 0)
-set(dbusmenu_qt_VERSION_MINOR 5)
-set(dbusmenu_qt_VERSION_PATCH 1)
+set(dbusmenu_qt_VERSION_MINOR 6)
+set(dbusmenu_qt_VERSION_PATCH 4)
 set(dbusmenu_qt_VERSION ${dbusmenu_qt_VERSION_MAJOR}.${dbusmenu_qt_VERSION_MINOR}.${dbusmenu_qt_VERSION_PATCH})
 
 set(ARCHIVE_NAME libdbusmenu-qt-${dbusmenu_qt_VERSION})
 add_custom_target(dist
-    COMMAND git archive --prefix=${ARCHIVE_NAME}/ HEAD
-        | bzip2 > ${CMAKE_BINARY_DIR}/${ARCHIVE_NAME}.tar.bz2
+    COMMAND bzr export --root=${ARCHIVE_NAME} ${CMAKE_BINARY_DIR}/${ARCHIVE_NAME}.tar.bz2
     WORKING_DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}
     )
 
@@ -31,13 +30,13 @@
 set(dbusmenu_qt_lib_SOVERSION 2)
 
 # Bump this one when the API is extended in a binary-compatible way
-set(dbusmenu_qt_lib_API_VERSION 2)
+set(dbusmenu_qt_lib_API_VERSION 3)
 
 # Bump this one when changes do not extend the API
-set(dbusmenu_qt_lib_PATCH_VERSION 1)
+set(dbusmenu_qt_lib_PATCH_VERSION 4)
 set(dbusmenu_qt_lib_VERSION ${dbusmenu_qt_lib_SOVERSION}.${dbusmenu_qt_lib_API_VERSION}.${dbusmenu_qt_lib_PATCH_VERSION})
 
-find_package(Qt4 4.6.0 REQUIRED)
+find_package(Qt4 REQUIRED)
 
 include_directories(
     ${QT_INCLUDE_DIR}
@@ -53,10 +52,6 @@
     DESTINATION lib${LIB_SUFFIX}/pkgconfig
     )
 
-option(BUILD_TESTS "Build tests" ON)
-
 add_subdirectory(src)
-if (BUILD_TESTS)
-    add_subdirectory(tests)
-endif (BUILD_TESTS)
+add_subdirectory(tests)
 add_subdirectory(tools)
