=== src/CMakeLists.txt ===
--- 
+++ 
@@ -17,14 +17,10 @@
     set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wall")
 endif (__DBUSMENU_HAVE_W_ALL)
 
-if (MSVC)
-	add_definitions(-D__PRETTY_FUNCTION__=__FUNCTION__)
-endif (MSVC)
-
 # Check whether QIcon::name() exists. It was added in late Qt 4.7 cycle, and is
 # not present in betas.
 set(CMAKE_REQUIRED_INCLUDES "${QT_INCLUDE_DIR}")
-set(CMAKE_REQUIRED_LIBRARIES "${QT_QTGUI_LIBRARIES}")
+set(CMAKE_REQUIRED_LIBRARIES "${QT_QTGUI_LIBRARIES};${QT_QTCORE_LIBRARIES}")
 check_cxx_source_compiles("
 #include <QtGui/QIcon>
 int main() {
@@ -37,7 +33,6 @@
     message(STATUS "QIcon::name() does not exist, DBusMenuExporter will not export icon names by itself")
 endif()
 configure_file(dbusmenu_config.h.in ${CMAKE_CURRENT_BINARY_DIR}/dbusmenu_config.h @ONLY)
-
 
 set(dbusmenu_qt_SRCS
     dbusmenu_p.cpp
@@ -79,10 +74,7 @@
     )
 
 install(TARGETS dbusmenu-qt
-    LIBRARY DESTINATION lib${LIB_SUFFIX}
-    ARCHIVE DESTINATION lib
-    RUNTIME DESTINATION bin
-)
+    LIBRARY DESTINATION lib${LIB_SUFFIX})
 
 install(DIRECTORY .
     DESTINATION include/dbusmenu-qt
