=== debian/changelog ===
libdbusmenu-qt (0.6.4-0ubuntu1~unity2d1) lucid; urgency=low

  * Backport from Maverick

 -- Alex Chiang <achiang@canonical.com>  Thu, 10 Feb 2011 09:27:04 -0700

libdbusmenu-qt (0.6.4-0ubuntu1) maverick; urgency=low

  * New upstream bugfix release
  * Refresh kubuntu_00_external_contributions.diff

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 23 Sep 2010 13:45:17 +0100

libdbusmenu-qt (0.6.3-0ubuntu1) maverick; urgency=low

  * New upstream release
  * Add kubuntu_00_external_contributions.diff
  * Remove kubuntu_02_unbreak_kde_titles.diff

 -- Aurélien Gâteau <aurelien.gateau@canonical.com>  Thu, 16 Sep 2010 17:01:41 +0200

libdbusmenu-qt (0.6.2-0ubuntu1) maverick; urgency=low

  * New upstream release, memory leak and crash fixes
  * Add kubuntu_02_unbreak_kde_titles.diff from
    http://gitorious.org/dbusmenu/dbusmenu-
    qt/commit/71851809ef7e109f02635877ead1dbac48a2e64e

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 09 Sep 2010 16:42:01 +0100

libdbusmenu-qt (0.6.1-0ubuntu1) maverick; urgency=low

  * New upstream release, fixes memory leaks

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 03 Sep 2010 17:14:45 +0100

libdbusmenu-qt (0.6.0-0ubuntu1) maverick; urgency=low

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 19 Aug 2010 14:58:03 +0100

libdbusmenu-qt (0.5.2-0ubuntu1) maverick; urgency=low

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 05 Aug 2010 16:08:10 +0100

libdbusmenu-qt (0.5.1-0ubuntu1) maverick; urgency=low

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 08 Jul 2010 21:07:52 +0100

libdbusmenu-qt (0.5.0-0ubuntu1) maverick; urgency=low

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 28 Jun 2010 16:54:14 +0100

libdbusmenu-qt (0.4.0-0ubuntu1) maverick; urgency=low

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 25 Jun 2010 14:20:55 +0100

libdbusmenu-qt (0.3.5-0ubuntu1) maverick; urgency=low

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 17 Jun 2010 14:30:00 +0100

libdbusmenu-qt (0.3.4-0ubuntu1) maverick; urgency=low

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 10 Jun 2010 23:45:12 +0100

libdbusmenu-qt (0.3.3-0ubuntu1) maverick; urgency=low

  * New upstream release:
    - Update kubuntu_01_no_test.diff

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Mon, 07 Jun 2010 22:36:42 -0400
