=== debian/changelog ===
libdbusmenu-qt (0.8.2-0ubuntu2) natty; urgency=low

  * Add kubuntu_03_dont-show-more-icons-than-desired.diff by Michael Terry
    https://code.launchpad.net/~mterry/libdbusmenu-qt/dont-show-more-
    icons-than-desired/+merge/58387 'Respect QAction's setting for
    whether an icon should be shown in the menu or not.'

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 20 Apr 2011 13:47:45 +0100

libdbusmenu-qt (0.8.2-0ubuntu1) natty; urgency=low

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 15 Apr 2011 12:07:57 +0100

libdbusmenu-qt (0.8.1-0ubuntu1) natty; urgency=low

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 24 Mar 2011 16:40:25 +0000

libdbusmenu-qt (0.8.0-0ubuntu1) natty; urgency=low

  * New upstream release
  * Remove kubuntu_00_external_contributions.diff no longer required
  * Update kubuntu_01_no_test.diff

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 25 Feb 2011 10:39:05 +0000

libdbusmenu-qt (0.7.0-0ubuntu1) natty; urgency=low

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 14 Jan 2011 15:56:38 +0000

libdbusmenu-qt (0.6.6-0ubuntu1) natty; urgency=low

  * New upstream bugfix release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 09 Dec 2010 11:59:53 +0000
