=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Priority: optional
 Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
 XSBC-Original-Maintainer: Jonathan Riddell <jriddell@ubuntu.com>
-Build-Depends: debhelper (>= 7.3), cmake, libqt4-dev, quilt, libqjson-dev, pkg-config
-Standards-Version: 3.8.4
+Build-Depends: debhelper (>= 7.3), cmake, libqt4-dev, libqjson-dev, pkg-config, doxygen
+Standards-Version: 3.9.1
 Section: libs
 Homepage: http://people.canonical.com/~agateau/dbusmenu/index.html
 Vcs-Bzr: lp:~kubuntu-members/libdbusmenu-qt/ubuntu/
@@ -24,3 +24,12 @@
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: a Qt library that implements the DBusMenu spec
  This library provides a Qt implementation of the DBusMenu spec.
+
+Package: libdbusmenu-qt-doc
+Section: doc
+Architecture: any
+Depends: ${shlibs:Depends}, ${misc:Depends}
+Description: a Qt library that implements the DBusMenu spec
+ This library provides a Qt implementation of the DBusMenu spec.
+ .
+ This package provides the API documentation in HTML form.
