## libdbusmenu-qt 0.9.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -8,8 +8,8 @@
 # Versions
 ## Package version
 set(dbusmenu_qt_VERSION_MAJOR 0)
-set(dbusmenu_qt_VERSION_MINOR 8)
-set(dbusmenu_qt_VERSION_PATCH 2)
+set(dbusmenu_qt_VERSION_MINOR 9)
+set(dbusmenu_qt_VERSION_PATCH 0)
 set(dbusmenu_qt_VERSION ${dbusmenu_qt_VERSION_MAJOR}.${dbusmenu_qt_VERSION_MINOR}.${dbusmenu_qt_VERSION_PATCH})
 
 ## Lib version
@@ -17,10 +17,10 @@
 set(dbusmenu_qt_lib_SOVERSION 2)
 
 ### Bump this one when the API is extended in a binary-compatible way
-set(dbusmenu_qt_lib_API_VERSION 5)
+set(dbusmenu_qt_lib_API_VERSION 6)
 
 ### Bump this one when changes do not extend the API
-set(dbusmenu_qt_lib_PATCH_VERSION 1)
+set(dbusmenu_qt_lib_PATCH_VERSION 0)
 
 set(dbusmenu_qt_lib_VERSION ${dbusmenu_qt_lib_SOVERSION}.${dbusmenu_qt_lib_API_VERSION}.${dbusmenu_qt_lib_PATCH_VERSION})
