=== debian/changelog ===
libdbusmenu-qt (0.9.0-1) unstable; urgency=low

  * New upstream release.
  * Add doxygen as build dependency.
  * Minor fixes to description, thanks to Filipus Klutiero. (Closes: #630193)
  * Update symbols file.

 -- Praveen Arimbrathodiyil <pravi.a@gmail.com>  Thu, 01 Sep 2011 12:57:01 +0530

libdbusmenu-qt (0.8.0-3) unstable; urgency=low

  * gcc seems to still emit some random symbols on some arches. Mark them as
    optional and arch specific. (Closes: #628745)

 -- Modestas Vainius <modax@debian.org>  Wed, 01 Jun 2011 13:24:35 +0300

libdbusmenu-qt (0.8.0-2) unstable; urgency=low

  * Fix symbol files to build against gcc 4.6. (Closes: #628745)
  * Bump Standards-Version to 3.9.2: no changes needed.
  * Add myself to Uploaders.

 -- Modestas Vainius <modax@debian.org>  Wed, 01 Jun 2011 11:23:55 +0300

libdbusmenu-qt (0.8.0-1) unstable; urgency=low

  * New upstream release (3 private symbols dropped).
  * Symbols file updated, missing symbols removed.
  * Thanks to Shravan Aras for helping me with cscope.

 -- Praveen Arimbrathodiyil <pravi.a@gmail.com>  Sat, 02 Apr 2011 23:22:22 +0530

libdbusmenu-qt (0.7.0-1) unstable; urgency=low

  * New upstream release. 
  * DM upload is allowed.
  * adding libqjson-dev to build dependencies (for testapp). 

 -- Praveen Arimbrathodiyil <pravi.a@gmail.com>  Sat, 19 Mar 2011 11:03:22 +0530

libdbusmenu-qt (0.6.6-1) unstable; urgency=low

  * New upstream release. (Closes: #606199)

  [ Praveen Arimbrathodiyil ]
  * debian/rules: added support for parallel building.
  * debian/copyright: cleared copyright info of removed patch.
  * debian/control: changed homepage to page on launchpad.net.
  * debian/control: updated vcs from svn to git.
  * debian/control: updated policy to 3.9.1

  [ José Manuel Santamaría Lema ]
  * Update symbols file.

 -- Praveen Arimbrathodiyil <pravi.a@gmail.com>  Sun, 27 Feb 2011 07:05:33 +0530
