=== debian/control ===
Source: libdbusmenu-qt
Section: libs
Priority: optional
Build-Depends: debhelper (>= 7.4.12), 
		cmake,
	  libqt4-dev,
		libqjson-dev,
		doxygen
Maintainer: Debian Krap Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Praveen Arimbrathodiyil <pravi.a@gmail.com>, Modestas Vainius <modax@debian.org>
DM-Upload-Allowed: yes
Standards-Version: 3.9.2
Homepage: https://launchpad.net/libdbusmenu-qt
Vcs-Git: git://git.debian.org/pkg-kde/krap/libdbusmenu-qt.git
Vcs-Browser: http://git.debian.org/?p=pkg-kde/krap/libdbusmenu-qt.git;a=summary

Package: libdbusmenu-qt2
Architecture: any
Depends: ${misc:Depends},
	 ${shlibs:Depends}
Description: Qt implementation of the DBusMenu protocol
 This library provides a Qt implementation of the DBusMenu protocol.
 .
 The DBusMenu protocol makes it possible for applications to export 
 and import their menus over DBus.
 .
 This package provides shared libraries.

Package: libdbusmenu-qt-dev
Section: libdevel
Architecture: any
Depends: libdbusmenu-qt2 (= ${binary:Version}),
	 libqt4-dev,
	 ${misc:Depends}
Description: Qt implementation of DBusMenu protocol (development)
 This library provides a Qt implementation of the DBusMenu protocol
 .
 The DBusMenu protocol makes it possible for applications to export 
 and import their menus over DBus.
 .
 This package provides header files for development.
