=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh --parallel $@

override_dh_makeshlibs:
	dh_makeshlibs -V 'libdbusmenu-qt2 (>=0.9.0)'

override_dh_auto_test:
	echo "Skipping tests (can't test inside chroot)..."
