## libdbusmenu-qt 0.9.2

=== debian/changelog ===
libdbusmenu-qt (0.9.2-1) unstable; urgency=low

  * New upstream release.
  * Do not manually impose a shlibs version anymore, but rely solely on
    symbols file.
  * Update symbols file.

 -- Pino Toscano <pino@debian.org>  Mon, 27 May 2013 09:25:07 +0200

libdbusmenu-qt (0.9.0-3) unstable; urgency=low

  * Update symbol file.
  * Small touches to the descriptions.
  * libdbusmenu-qt-doc: suggest w3m | www-browser, since it contains HTML
    documentation.
  * Pass --fail-missing to dh_install.

 -- Pino Toscano <pino@debian.org>  Thu, 16 May 2013 11:03:39 +0200

libdbusmenu-qt (0.9.0-2) unstable; urgency=low

  [ Praveen Arimbrathodiyil ]
  * update description for -dev package too. (Closes: #640251)
  * make all DBus occurance in descriptions to D-Bus.
  * add all html files to doc-base.
  * Implement multiarch.
    - bump cmake build dependency to 2.8.5.
    - bump debhelper build dependency to 8.1.3.
  * debian/rules: move --parallel after $@.
  * New binary package libdbusmenu-qt-doc.
  * Remove embedded jquery and depend on libjs-jquery.
  * fix watch file with new url scheme.
  * Thanks to Pino Toscano for many improvements.

  [ Pino Toscano ]
  * Add myself to uploaders.
  * Bump debhelper build dependency to 9, matching its used compatibility;
    remove the related source lintian override.
  * rules: remove dh overrides from .PHONY.
  * Rename docs to libdbusmenu-qt2.docs, so it is explicitly used for the
    shared library package.
  * Remove DM-Upload-Allowed control field, no more used now.
  * Update Vcs-* headers.
  * Update symbols file, still not used yet.
  * rules: turn echo into comments.
  * Slightly improve libdbusmenu-qt-dev.install.
  * Convert copyright to copyright-format v1.0, and update it.
  * 002-use-multiarch-lib-paths.diff: update author.
  * With the two changes above, this upload closes: #649899.
  * Bump Standards-Version to 3.9.4, no changes required.
  * Add the pkg-config build dependency.

 -- Pino Toscano <pino@debian.org>  Mon, 13 May 2013 18:41:49 +0200
