=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@ --parallel --buildsystem=cmake

override_dh_auto_install:
	dh_auto_install
	# Removing embedded jquery javascript library
	rm debian/tmp/usr/share/doc/dbusmenu-qt/jquery.js

override_dh_install:
	dh_install --fail-missing

override_dh_strip:
	dh_strip --dbg-package=libdbusmenu-qt-dbg

override_dh_auto_test:
	# Skipping tests (can't test inside chroot)...
	:
