=== debian/watch ===
# Compulsory line, this is a version 3 file
version=3

# <Webpage URL> <string match>
https://launchpad.net/libdbusmenu-qt/+download .*/libdbusmenu-qt-([0-9.]+)\.tar\.bz2
