=== src/CMakeLists.txt ===
--- 
+++ 
@@ -39,7 +39,7 @@
     dbusmenuexporter.cpp
     dbusmenuexporterdbus_p.cpp
     dbusmenuimporter.cpp
-    dbusmenuitem_p.cpp
+    dbusmenutypes_p.cpp
     dbusmenushortcut_p.cpp
     utils.cpp
     )
@@ -49,39 +49,55 @@
     ${CMAKE_BINARY_DIR}/src
     )
 
-qt4_automoc(${dbusmenu_qt_SRCS})
-
-qt4_add_dbus_adaptor(dbusmenu_qt_SRCS
-    ${CMAKE_CURRENT_SOURCE_DIR}/org.ayatana.dbusmenu.xml
-    ${CMAKE_CURRENT_SOURCE_DIR}/dbusmenuexporterdbus_p.h DBusMenuExporterDBus
-    )
+if (NOT USE_QT5)
+    qt4_automoc(${dbusmenu_qt_SRCS})
+    qt4_add_dbus_adaptor(dbusmenu_qt_SRCS
+        ${CMAKE_CURRENT_SOURCE_DIR}/com.canonical.dbusmenu.xml
+        ${CMAKE_CURRENT_SOURCE_DIR}/dbusmenuexporterdbus_p.h DBusMenuExporterDBus
+        )
+else()
+    qt5_add_dbus_adaptor(dbusmenu_qt_SRCS
+        ${CMAKE_CURRENT_SOURCE_DIR}/com.canonical.dbusmenu.xml
+        ${CMAKE_CURRENT_SOURCE_DIR}/dbusmenuexporterdbus_p.h DBusMenuExporterDBus
+        )
+endif()
 
 configure_file(dbusmenu_version.h.in
     ${CMAKE_CURRENT_BINARY_DIR}/dbusmenu_version.h
     )
 
-add_library(dbusmenu-qt SHARED ${dbusmenu_qt_SRCS})
-set_target_properties(dbusmenu-qt PROPERTIES
+add_library(dbusmenu-${QT_SUFFIX} SHARED ${dbusmenu_qt_SRCS})
+set_target_properties(dbusmenu-${QT_SUFFIX} PROPERTIES
     VERSION ${dbusmenu_qt_lib_VERSION}
     SOVERSION ${dbusmenu_qt_lib_SOVERSION}
     )
 
-target_link_libraries(dbusmenu-qt
-    ${QT_QTGUI_LIBRARIES}
-    ${QT_QTDBUS_LIBRARIES}
-    ${QT_QTXML_LIBRARIES}
-    ${QT_QTCORE_LIBRARIES}
-    )
 
-install(TARGETS dbusmenu-qt
-    LIBRARY DESTINATION lib${LIB_SUFFIX})
+if (NOT USE_QT5)
+    target_link_libraries(dbusmenu-${QT_SUFFIX}
+        ${QT_QTGUI_LIBRARIES}
+        ${QT_QTDBUS_LIBRARIES}
+        ${QT_QTCORE_LIBRARIES}
+        )
+else()
+    target_link_libraries(dbusmenu-${QT_SUFFIX}
+        ${Qt5Gui_LIBRARIES}
+        ${Qt5Core_LIBRARIES}
+        ${Qt5DBus_LIBRARIES}
+        ${Qt5Widgets_LIBRARIES}
+        )
+endif()
+
+install(TARGETS dbusmenu-${QT_SUFFIX}
+    LIBRARY DESTINATION ${LIB_DESTINATION}
+    RUNTIME DESTINATION bin)
 
 install(DIRECTORY .
-    DESTINATION include/dbusmenu-qt
+    DESTINATION include/dbusmenu-${QT_SUFFIX}
     FILES_MATCHING PATTERN "*.h"
     PATTERN "*_p.h" EXCLUDE
     )
 
 install(FILES ${CMAKE_CURRENT_BINARY_DIR}/dbusmenu_version.h
-    DESTINATION include/dbusmenu-qt/
+    DESTINATION include/dbusmenu-${QT_SUFFIX}
     )
