=== debian/changelog ===
libdbusmenu-qt (0.9.3+16.04.20160218-2) unstable; urgency=medium

  * Team upload.
  * Drop Qt4 support (Closes: #875021)
  * Update Vcs-* to point to salsa
  * Update symbols files

 -- Scott Kitterman <scott@kitterman.com>  Sun, 25 Aug 2019 12:07:44 -0400

libdbusmenu-qt (0.9.3+16.04.20160218-1) unstable; urgency=medium

  * Team upload.

  [ Felix Geyer ]
  * New upstream release.
  * Migrate to dbgsym packages.

  [ Maximiliano Curia ]
  * Update symbols files.

 -- Felix Geyer <fgeyer@debian.org>  Tue, 26 Apr 2016 19:46:59 +0200

libdbusmenu-qt (0.9.3+15.10.20150604-1) unstable; urgency=medium

  * Team upload to unstable.
  * New upstream release.
  * Update symbols files.
  * Point watch file to archive.ubuntu.com since there are no proper
    upstream releases anymore.
  * Bump Standards-Version to 3.9.6, no changes needed.

 -- Felix Geyer <fgeyer@debian.org>  Mon, 08 Jun 2015 20:47:21 +0200

libdbusmenu-qt (0.9.3+14.10.20140619-1) experimental; urgency=medium

  * Team upload.
  * New upstream release (0.9.3+14.10.20140619).
  * Add qt5 packages.
  * Remove patch: 002-use-multiarch-lib-paths.diff, no longer needed.
  * Bump cmake buid dep to 2.8.11.
  * Change doc install path.
  * Update symbols files.
  * Set Multi-Arch fields for -dbg packages.

 -- Maximiliano Curia <maxy@debian.org>  Tue, 27 Jan 2015 19:39:24 +0100
